Bug 597937 - Review Request: maven-changelog-plugin - Maven Changelog Plugin
Review Request: maven-changelog-plugin - Maven Changelog Plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 23:47 EDT by huwang
Modified: 2010-06-04 05:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 05:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 huwang 2010-05-30 23:49:28 EDT
Note about this package:

Built with dist-f14-maven221 target in koji, here is the link: http://koji.fedoraproject.org/koji/taskinfo?taskID=2218736
Comment 2 huwang 2010-05-31 06:34:21 EDT
Rebuilt in koji, the link is http://koji.fedoraproject.org/koji/taskinfo?taskID=2219103
Comment 3 Guido Grazioli 2010-05-31 06:46:37 EDT
The rebuild is for maven-ant-plugin; while i'm reviewing, you could replace BuildRequire: maven2-plugin-plugin (which is obsoleted by maven-plugin-plugin)
Comment 4 Guido Grazioli 2010-05-31 07:10:54 EDT
NEEDSWORK - rpmlint output:
maven-changelog-plugin.noarch: W: incoherent-version-in-changelog -2.2-1 ['2.2-1.fc14', '2.2-1']
- Please fix this one

maven-changelog-plugin.noarch: W: no-documentation
maven-changelog-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-changelog-plugin
maven-changelog-plugin.spec: W: invalid-url Source0: maven-changelog-plugin-2.2.tar.gz
- These are false positives

OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - The package must meet the Java Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is ASL 2.0)
NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2218736
(against dist-f14-maven221 target)
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. (exported from svn)
NA - The spec file MUST handle locales properly 
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
NA - The package must contain code, or permissable content (no content)
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release    

OTHER:
-Dmaven.test.skip=true
you could comment on that, what is missing to complete tests.    

Summary: could you be more descriptive? Think of a yum search:
maven-changelog-plugin.noarch: Maven Changelog Plugin
This would be better for instance:
maven-changelog-plugin.noarch: Produce SCM changelog reports

Besides that, specfile is in good shape
Comment 5 Guido Grazioli 2010-05-31 07:52:24 EDT
Two more things:

- the specfile posted above is not the same included in the SRPM
- typo in changelog entry: "inital"
Comment 6 Stanislav Ochotnicky 2010-05-31 10:29:43 EDT
Also I believe your spec file is missing proper provides/obsoletes for old maven2-plugin-changelog. 

Guido please verify this when doing reviews for new-style maven plugins. Thanks
Comment 7 huwang 2010-06-01 03:36:58 EDT
Fixed. Please review again, thanks.

About -Dmaven.test.skip=true:
there is compilation failure in test, as class ScmBranchParameters doesn't exist in the maven-scm-1.2 which is depended by this package (class ScmBranchParameters exist in maven-scm-1.3, I think maybe it need to upgrade to 1.3), please see http://koji.fedoraproject.org/koji/getfile?taskID=2221188&name=build.log 

Spec URL: http://huwang.fedorapeople.org/packages/maven_changelog_plugin/maven-changelog-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven_changelog_plugin/maven-changelog-plugin-2.2-2.src.rpm

scratch built in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2221636
Comment 8 Guido Grazioli 2010-06-01 05:01:31 EDT
(In reply to comment #6)
> Also I believe your spec file is missing proper provides/obsoletes for old
> maven2-plugin-changelog. 
> 
> Guido please verify this when doing reviews for new-style maven plugins. Thanks    

You absolutely right, i initially thought it was possible to have both maven versions installed, but thats not quite; i'm tracking back my past reviews to ensure those bits are added.
Comment 9 Guido Grazioli 2010-06-01 17:17:16 EDT
Package APPROVED. 
Please add the comment about the skipped tests in the specfile too, if you want.
Comment 10 huwang 2010-06-01 22:49:30 EDT
New Package CVS Request
=======================
Package Name: maven-changelog-plugin
Short Description: Maven Changelog Plugin
Owners: huwang
Branches: 
InitialCC:
Comment 11 Guido Grazioli 2010-06-02 05:10:01 EDT
huwang, before you commit, can you also switch to xz compression?
Comment 12 huwang 2010-06-02 05:47:03 EDT
(In reply to comment #11)
> huwang, before you commit, can you also switch to xz compression?    

Thanks for your review.

There is no tar 2.x in RHEL, considering compatibility, I prefer to use bz2 compression.
Comment 13 Kevin Fenzi 2010-06-03 16:30:55 EDT
CVS done (by process-cvs-requests.py).
Comment 14 huwang 2010-06-04 05:38:07 EDT
Built in koji: http://koji.fedoraproject.org/koji/buildinfo?buildID=176584

Note You need to log in before you can comment on or make changes to this bug.